#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Weather
%define		pnam	Underground
Summary:	Perl extension for retrieving weather information
Summary(pl.UTF-8):	Rozszerzenie Perla do odbierania informacji pogodowych
Name:		perl-Weather-Underground
Version:	3.03
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c86a4a807263db55ab30e44c98bcdcac
URL:		http://search.cpan.org/dist/Weather-Underground/
BuildRequires:	perl-HTML-TokeParser-Simple
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-libwww
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl extension for retrieving weather information from
wunderground.com.

%description -l pl.UTF-8
Rozszerzenie Perla do odbierania informacji pogodowych z
wunderground.com.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Weather
%{_mandir}/man3/*
%changelog
* Thu Feb 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Weather-Underground.git;a=log;h=master

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 988fb74
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 9eb3bef
- up to 3.03

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 10adcd2
- release 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> d5e9087
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7a6ccb7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d3d62b4
- converted to UTF-8

* Sun Nov 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 4377448
- formatting, generic URL

* Sat Nov 26 2005 Karol Krenski <charles@pld-linux.org> 25c82f0
- new

